#ifndef A_CMD_H
#define A_CMD_H

class QTreeWidget;
class CumbiaPool;
class CuControlsFactoryPool;

#include <QMultiMap>

class Acmd
{
public:
    Acmd();
    void ack(const QTreeWidget *tw, bool all, CumbiaPool *cup, const CuControlsFactoryPool &fpoo, QStringList& errdevs);
    void silence(const QTreeWidget *tw, bool all, CumbiaPool *cup, const CuControlsFactoryPool &fpoo, QStringList &errdevs);
    void stop_new(const QTreeWidget *tw, bool all, CumbiaPool *cup, const CuControlsFactoryPool &fpoo, QStringList &errdevs);
    void enable(const QTreeWidget *tw, CumbiaPool *cup, const CuControlsFactoryPool &fpoo);
private:
    QMultiMap<QString, QString> m_getDevAlarmMap(const QTreeWidget *tw, bool all) const;
};

#endif // ACKCMD_H
